> ## Documentation Index
> Fetch the complete documentation index at: https://docs.photon.codes/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription details

> Returns the current plan tier and subscription status for a project. Requires Authorization: Basic base64(projectId:projectSecret).



## OpenAPI

````yaml https://spectrum.photon.codes/openapi/json get /projects/{projectId}/billing/subscription
openapi: 3.1.0
info:
  title: Spectrum Cloud External API
  description: Client-facing API for Spectrum Cloud.
  version: 1.0.0
servers:
  - url: https://spectrum.photon.codes
security: []
tags:
  - name: billing
    description: Billing and subscription operations
  - name: imessage
    description: iMessage platform operations
  - name: lines
    description: Phone line enumeration across platforms
  - name: platforms
    description: Platform management operations
  - name: users
    description: User operations
  - name: voice
    description: Voice platform operations
  - name: webhooks
    description: Webhook registration for receiving Spectrum events
  - name: whatsapp-business
    description: WhatsApp Business platform operations
  - name: slack
    description: Slack platform operations
paths:
  /projects/{projectId}/billing/subscription:
    get:
      tags:
        - billing
      summary: Get subscription details
      description: >-
        Returns the current plan tier and subscription status for a project.
        Requires Authorization: Basic base64(projectId:projectSecret).
      operationId: getProjectsByProjectIdBillingSubscription
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  succeed:
                    type: boolean
                    const: true
                  data:
                    type: object
                    properties:
                      tier:
                        type: string
                      status:
                        anyOf:
                          - type: string
                            enum:
                              - active
                              - canceled
                              - past_due
                          - type: 'null'
                      cancel_at_period_end:
                        type: boolean
                      subscription_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                      customer_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - tier
                      - status
                      - cancel_at_period_end
                      - subscription_id
                      - customer_id
                    additionalProperties: false
                required:
                  - succeed
                  - data
                additionalProperties: false

````